### Method

# Gio Vfs unregister_uri_scheme

since: 2.50

#### Declaration

    gboolean
    g_vfs_unregister_uri_scheme (
      GVfs* vfs,
      const char* scheme
    )

#### Description

Unregisters the URI handler for `scheme` previously registered with g_vfs_register_uri_scheme().

Available since: 2.50

#### Parameters

`scheme`

  Type: `const char*`

  An URI scheme, e.g. “http”

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `scheme` was successfully unregistered, or `FALSE` if a handler for `scheme` does not exist.